.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 1);
  transition: opacity 500ms;
  opacity: 100;
  z-index:999;
}

.loader {
  animation: spin 1s infinite linear;
  border: solid 2vmin transparent;
  border-radius: 50%;
  border-right-color: #A61506;
  border-top-color: #B21202;
  box-sizing: border-box;
  height: 20vmin;
  left: calc(50% - 10vmin);
  position: fixed;
  top: calc(50% - 10vmin);
  width: 20vmin;
  z-index: 1;
}

.loader:before {
  animation: spin 2s infinite linear;
  border: solid 2vmin transparent;
  border-radius: 50%;
  border-right-color: #FDAD00;
  border-top-color: #FDAD00;
  box-sizing: border-box;
  content: "";
  height: 16vmin;
  left: 0;
  position: absolute;
  top: 0;
  width: 16vmin;
}

.loader:after {
  animation: spin 3s infinite linear;
  border: solid 2vmin transparent;
  border-radius: 50%;
  border-right-color: #FFF;
  border-top-color: #FFF;
  box-sizing: border-box;
  content: "";
  height: 12vmin;
  left: 2vmin;
  position: absolute;
  top: 2vmin;
  width: 12vmin;
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
